# Class CollectArraysVariantCallingMetrics.ArraysVariantCallingDetailMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.analysis.MergeableMetricBase
picard.arrays.CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics
picard.arrays.CollectArraysVariantCallingMetrics.ArraysVariantCallingDetailMetrics

Enclosing class:
  `CollectArraysVariantCallingMetrics`

@DocumentedFeature(groupName="Metrics", summary="Metrics") public static class CollectArraysVariantCallingMetrics.ArraysVariantCallingDetailMetrics extends CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics

## Nested Class Summary

### Nested classes/interfaces inherited from class MergeableMetricBase

`MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`Integer`
`ANALYSIS_VERSION`
The version number of the analysis run
`htsjdk.samtools.util.Iso8601Date`
`AUTOCALL_DATE`
The date this sample was autocalled
`String`
`AUTOCALL_GENDER`
The sex, as determined by Autocall
`Boolean`
`AUTOCALL_PF`
Whether the sample passes QC based on call rate threshold
`String`
`AUTOCALL_VERSION`
The version of autocall used for calling this sample
`String`
`CHIP_TYPE`
The chip type name
`String`
`CHIP_WELL_BARCODE`
The chip well barcode of the Illumina array being assayed
`String`
`CLUSTER_FILE_NAME`
The name of the cluster file used
`String`
`EXTENDED_MANIFEST_VERSION`
The version of the Extended Illumina Manifest used for calling this sample
`String`
`FP_GENDER`
The sex, as reported for the fingerprinted sample
`Boolean`
`GENDER_CONCORDANCE_PF`
Whether or not the three sexs agree
`Double`
`GTC_CALL_RATE`
The call rate as determined by Autocall/IAAP (and stored in the GTC File)
`double`
`HET_HOMVAR_RATIO`
(count of hets)/(count of homozygous non-ref) for this sample
`double`
`HET_PCT`
100 * (count of hets) / (total calls) for this sample
`htsjdk.samtools.util.Iso8601Date`
`IMAGING_DATE`
The date that this sample was imaged
`Boolean`
`IS_ZCALLED`
Whether the sample was zcalled
`Integer`
`P95_GREEN`
The 95th Intensity Percentile for the green color channel for this sample
`Integer`
`P95_RED`
The 95th Intensity Percentile for the red color channel for this sample
`String`
`PIPELINE_VERSION`
The version of the pipeline used for this sample
`String`
`REPORTED_GENDER`
The sex, as reported by the collaborator
`String`
`SAMPLE_ALIAS`
The name of the sample
`String`
`SCANNER_NAME`
The name of the scanner used for this sample
`String`
`ZCALL_VERSION`
The version of ZCall used for calling this sample

### Fields inherited from class CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics

`AUTOCALL_CALL_RATE, CALL_RATE, NOVEL_SNPS, NUM_ASSAYS, NUM_AUTOCALL_CALLS, NUM_CALLS, NUM_FILTERED_ASSAYS, NUM_IN_DB_SNP, NUM_INDELS, NUM_NO_CALLS, NUM_NON_FILTERED_ASSAYS, NUM_SINGLETONS, NUM_SNPS, NUM_ZEROED_OUT_ASSAYS, PCT_DBSNP`

## Constructor Summary

Constructors
Constructor
Description
`ArraysVariantCallingDetailMetrics()`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateDerivedFields()`
Placeholder method that will calculate the derived fields from the other ones.
`static String`
`getFileExtension()`

### Methods inherited from class CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics

`foldInto`

### Methods inherited from class MergeableMetricBase

`canMerge, merge, merge, mergeIfCan`

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CHIP_WELL_BARCODE

public String CHIP_WELL_BARCODE
The chip well barcode of the Illumina array being assayed

### SAMPLE_ALIAS

public String SAMPLE_ALIAS
The name of the sample

### ANALYSIS_VERSION

public Integer ANALYSIS_VERSION
The version number of the analysis run

### CHIP_TYPE

public String CHIP_TYPE
The chip type name

### AUTOCALL_PF

public Boolean AUTOCALL_PF
Whether the sample passes QC based on call rate threshold

### AUTOCALL_DATE

public htsjdk.samtools.util.Iso8601Date AUTOCALL_DATE
The date this sample was autocalled

### IMAGING_DATE

public htsjdk.samtools.util.Iso8601Date IMAGING_DATE
The date that this sample was imaged

### IS_ZCALLED

public Boolean IS_ZCALLED
Whether the sample was zcalled

### GTC_CALL_RATE

public Double GTC_CALL_RATE
The call rate as determined by Autocall/IAAP (and stored in the GTC File)

### AUTOCALL_GENDER

public String AUTOCALL_GENDER
The sex, as determined by Autocall

### FP_GENDER

public String FP_GENDER
The sex, as reported for the fingerprinted sample

### REPORTED_GENDER

public String REPORTED_GENDER
The sex, as reported by the collaborator

### GENDER_CONCORDANCE_PF

public Boolean GENDER_CONCORDANCE_PF
Whether or not the three sexs agree

### HET_PCT

public double HET_PCT
100 * (count of hets) / (total calls) for this sample

### CLUSTER_FILE_NAME

public String CLUSTER_FILE_NAME
The name of the cluster file used

### P95_GREEN

public Integer P95_GREEN
The 95th Intensity Percentile for the green color channel for this sample

### P95_RED

public Integer P95_RED
The 95th Intensity Percentile for the red color channel for this sample

### AUTOCALL_VERSION

public String AUTOCALL_VERSION
The version of autocall used for calling this sample

### ZCALL_VERSION

public String ZCALL_VERSION
The version of ZCall used for calling this sample

### EXTENDED_MANIFEST_VERSION

public String EXTENDED_MANIFEST_VERSION
The version of the Extended Illumina Manifest used for calling this sample

### HET_HOMVAR_RATIO

public double HET_HOMVAR_RATIO
(count of hets)/(count of homozygous non-ref) for this sample

### SCANNER_NAME

public String SCANNER_NAME
The name of the scanner used for this sample

### PIPELINE_VERSION

public String PIPELINE_VERSION
The version of the pipeline used for this sample

## Constructor Details

### ArraysVariantCallingDetailMetrics

public ArraysVariantCallingDetailMetrics()

## Method Details

### calculateDerivedFields

public void calculateDerivedFields()
Description copied from class: `MergeableMetricBase`
Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.

Overrides:
  `calculateDerivedFields` in class `CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics`

### getFileExtension

public static String getFileExtension()